{% set body_classes = body_class(['header-fixed', 'header-animated', 'header-dark', 'header-transparent', 'sticky-footer']) %}
{% set grid_size = theme_var('grid-size') %}
{% set compress = theme_var('production-mode') ? '.min.css' : '.css' %}
{% use 'blocks/base.html.twig' %}
<!DOCTYPE html>
<html lang="{{ grav.language.getActive ?: grav.config.site.default_lang }}">
<head>
{% block head deferred %}
    <meta charset="utf-8" />
    <title>{% if page.title %}{{ page.title|e('html') }} | {% endif %}{{ site.title|e('html') }}</title>

    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    {% include 'partials/metadata.html.twig' %}
     {% include 'partials/favicon.html.twig' %}
    <link rel="canonical" href="{{ page.url(true, true) }}" />
{% endblock head %}

{% block stylesheets %}
    {% do assets.addCss('https://unpkg.com/swiper/swiper-bundle.min.css') %}
    {% do assets.addCss('theme://dist/css/style.min.css') %}
{% endblock %}

{% block javascripts %}
    {% do assets.addJs('jquery', {group:'bottom'}) %}
    {% do assets.addJs('https://unpkg.com/swiper/swiper-bundle.min.js', {group:'bottom'}) %}
    {% do assets.addJs('theme://dist/js/script.min.js', {group:'bottom'}) %}
{% endblock %}

{% block assets deferred %}
    {{ assets.css()|raw }}
    {{ assets.js()|raw }}
{% endblock %}
</head>
<body class="{% block body_classes %}{{ body_classes }}{% endblock %}">

    {% block header %}
        <header>
            {% block header_navigation %}
                {% include 'partials/navigation.html.twig' %}
            {% endblock %}
        </header>
    {% endblock %}
    

    {% block body %}
        <section id="body-wrapper" class="section">
            <section class="container {{ grid_size }}">

                {{ block('content_surround') }}
            </section>
        </section>
    {% endblock %}

    {% block footer %}
        {% include 'partials/footer.html.twig' %}
    {% endblock %}

    {% block bottom %}
        {{ assets.js('bottom')|raw }}
    {% endblock %}

</body>
</html>
